Package org.apache.qpid.proton.amqp.security

# Class SaslMechanisms

java.lang.Object
org.apache.qpid.proton.amqp.security.SaslMechanisms

All Implemented Interfaces:
  `SaslFrameBody`

public final class SaslMechanisms extends Object implements SaslFrameBody

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.security.SaslFrameBody

`SaslFrameBody.SaslFrameBodyHandler<E>`

## Constructor Summary

Constructors
Constructor
Description
`SaslMechanisms()`

## Method Summary

Modifier and Type
Method
Description
`Symbol[]`
`getSaslServerMechanisms()`
`<E> void`
`invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)`
`void`
`setSaslServerMechanisms(Symbol... saslServerMechanisms)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SaslMechanisms

public SaslMechanisms()

## Method Details

### getSaslServerMechanisms

public Symbol[] getSaslServerMechanisms()

### setSaslServerMechanisms

public void setSaslServerMechanisms(Symbol... saslServerMechanisms)

### invoke

public <E> void invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)

Specified by:
  `invoke` in interface `SaslFrameBody`

### toString

public String toString()

Overrides:
  `toString` in class `Object`